if $MULTICOREFLAG
then
-if ! java -Xms50m -Xmx800m $JAVAFORWARDOPTS -classpath $ROBUSTROOT/../cup/:$ROBUSTROOT Main.Main -classlibrary \
+if ! ourjava -Xms50m -Xmx800m $JAVAFORWARDOPTS -classpath $ROBUSTROOT/../cup/:$ROBUSTROOT Main.Main -classlibrary \
$ROBUSTROOT/ClassLibrary/ -dir $BUILDDIR \
$JAVAOPTS $SRCFILES
then exit $?
fi
else
-#if ! java -Xms5m -Xmx100m $JAVAFORWARDOPTS -classpath $ROBUSTROOT/../cup/:$ROBUSTROOT Main.Main -classlibrary \
+#if ! ourjava -Xms5m -Xmx100m $JAVAFORWARDOPTS -classpath $ROBUSTROOT/../cup/:$ROBUSTROOT Main.Main -classlibrary \
if ! $NOJAVA
then
-if ! java -Xms50m -Xmx600m $JAVAFORWARDOPTS -classpath $ROBUSTROOT/../cup/:$ROBUSTROOT Main.Main -classlibrary \
+if ! ourjava -Xms50m -Xmx600m $JAVAFORWARDOPTS -classpath $ROBUSTROOT/../cup/:$ROBUSTROOT Main.Main -classlibrary \
$ROBUSTROOT/ClassLibrary/ -dir $BUILDDIR -precise \
$JAVAOPTS $SRCFILES
then exit $?
--- /dev/null
+
+#!/bin/bash
+if [ -a ~/.AFID/SaveTestCase ]
+then
+if [ -z $OLDPATH ]
+then
+export OLDPATH=$PATH
+export PATH=$PATH:~/.AFID/
+if [ ! -a ~/research/Robust/.afidconfig ]
+then
+echo "project=Compiler" > ~/research/Robust/.afidconfig
+echo "user=$USER" >> ~/research/Robust/.afidconfig
+echo "text/visual=visual" >> ~/research/Robust/.afidconfig
+echo "postURL=http://afid.eecs.uci.edu/afid/upload_file.php" >> ~/research/Robust/.afidconfig
+~/.AFID/SaveTestCase --create-exclude-file
+fi
+~/.AFID/SaveTestCase java $@
+else
+java $@
+fi
+else
+java $@
+fi
--- /dev/null
+
+#!/bin/bash
+if [ -a ~/.AFID/FindSource ]
+then
+if [ -z $OLDPATH ]
+then
+export OLDPATH=$PATH
+export PATH=$PATH:~/.AFID/
+if [ ! -a ~/research/Robust/.afidconfig ]
+then
+echo "project=Compiler" > ~/research/Robust/.afidconfig
+echo "user=$USER" >> ~/research/Robust/.afidconfig
+echo "text/visual=visual" >> ~/research/Robust/.afidconfig
+echo "postURL=http://afid.eecs.uci.edu/afid/upload_file.php" >> ~/research/Robust/.afidconfig
+~/.AFID/SaveTestCase --create-exclude-file
+fi
+~/.AFID/FindSource javac $@
+else
+javac $@
+fi
+else
+javac $@
+fi